/*-------------------------------------------------------- 
* Module Name : cattp and sms lib
* Version : 1.7.1
* 
* Software Name : Transport Manager
* Version : 1.7.1
*
* Copyright © 01-10-2012 – 01-10-2012 France Télécom
* This software is distributed under the Apache (v2) license,
* the text of which is available at http://www.apache.org/licenses/LICENSE-2.0.html
* or see the "license.txt" file for more details.
*--------------------------------------------------------
* File Name   : ${file_name}
*
* Created     : ${date}
* Author(s)   : ${authors}
*
* Description :
* Exception rised when the session is not found 
*
*--------------------------------------------------------
* ${Log}
*
*/

package com.orange.labs.quickpass.tm.service.cattp;

/**
 * SessionNotFoundException
 */
public class SessionNotFoundException extends RuntimeException {

    private static final long serialVersionUID = -2154732294124657336L;

    /**
     * Default constructor
     */
    public SessionNotFoundException() {
    }

    /**
     * @param message message
     */
    public SessionNotFoundException(String message) {
        super(message);
    }

    /**
     * @param cause exception cause
     */
    public SessionNotFoundException(Throwable cause) {
        super(cause);
    }

    /**
     * @param message message
     * @param cause exception cause
     */
    public SessionNotFoundException(String message, Throwable cause) {
        super(message, cause);
    }

}
